Unable to install PyHamcrest using pip on Python 2.5 #20

Closed
vbabiy opened this Issue Mar 15, 2011 · 2 comments

2 participants

@vbabiy

What it says on the tin. Python 2.6 and 2.7 can install PyHamcrest easily, but Python 2.5 fails:

 ! (py25) crose@02-mr41-a (log) $ ../bin/pip -v install pyhamcrest
../bin/pip -v install pyhamcrest
Downloading/unpacking pyhamcrest
  Using version 1.4 (newest of versions: 1.4, 1.4, 1.4, 1.3, 1.3, 1.2.1, 1.2.1, 1.1, 1.0)
  Downloading PyHamcrest-1.4.tar.gz
  Running setup.py egg_info for package pyhamcrest
    Traceback (most recent call last):
      File "<string>", line 14, in <module>
    IOError: [Errno 2] No such file or directory: '/Users/crose/projects/advanis/cs008_defines/python/.tox/py25/build/pyhamcrest/setup.py'
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):

  File "<string>", line 14, in <module>

IOError: [Errno 2] No such file or directory: '/Users/crose/projects/advanis/cs008_defines/python/.tox/py25/build/pyhamcrest/setup.py'

----------------------------------------
Command python setup.py egg_info failed with error code 1
Exception information:
Traceback (most recent call last):
  File "/Users/crose/projects/advanis/cs008_defines/python/.tox/py25/lib/python2.5/site-packages/pip-0.8.1-py2.5.egg/pip/basecommand.py", line 130, in main
    self.run(options, args)
  File "/Users/crose/projects/advanis/cs008_defines/python/.tox/py25/lib/python2.5/site-packages/pip-0.8.1-py2.5.egg/pip/commands/install.py", line 223, in run
    requirement_set.prepare_files(finder, force_root_egg_info=self.bundle, bundle=self.bundle)
  File "/Users/crose/projects/advanis/cs008_defines/python/.tox/py25/lib/python2.5/site-packages/pip-0.8.1-py2.5.egg/pip/req.py", line 941, in prepare_files
    req_to_install.run_egg_info()
  File "/Users/crose/projects/advanis/cs008_defines/python/.tox/py25/lib/python2.5/site-packages/pip-0.8.1-py2.5.egg/pip/req.py", line 219, in run_egg_info
    command_desc='python setup.py egg_info')
  File "/Users/crose/projects/advanis/cs008_defines/python/.tox/py25/lib/python2.5/site-packages/pip-0.8.1-py2.5.egg/pip/__init__.py", line 249, in call_subprocess
    % (command_desc, proc.returncode))
InstallationError: Command python setup.py egg_info failed with error code 1

Storing complete log in /Users/crose/.pip/pip.log
 ! (py25) crose@02-mr41-a (log) $ python --version
python --version
Python 2.5.4

@vbabiy

Issue #216 was marked as a duplicate of this issue.

under-python


Original Comment By: offbyone
@pnasrat

Python 2.5 support being dropped. This is an ancient issue closing.

@pnasrat pnasrat closed this Mar 30, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment